### Constructor

# Gtk.RecentManager.new

#### Declaration [src]

    GtkRecentManager*
    gtk_recent_manager_new (
      void
    )

#### Description [src]

Creates a new recent manager object.

Recent manager objects are used to handle the list of recently used resources. A `GtkRecentManager` object monitors the recently used resources list, and emits the `GtkRecentManager::changed` signal each time something inside the list changes.

`GtkRecentManager` objects are expensive: be sure to create them only when needed. You should use [type_func@Gtk.RecentManager.get_default] instead.

#### Return value

Returns: `GtkRecentManager`
A newly created `GtkRecentManager` object
Ownership of the data is transferred to the caller